2017-10-23 20:27 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0014008CentOS-7kernelpublic2017-10-17 14:36
Reportergreezybacon 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version7.4.1708 
Target VersionFixed in Version 
Summary0014008: Please consider merging upstream commit 1c919a5
DescriptionPlease consider merging upstream commit xxxxxx (https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=1c919a5e13702caffbe2d2c7c305f9d0d2925160) from linux into the CentOS-7 kernel.

When using a deduplicating software to take advantage of the dedupe features of btrfs, the mtime on the inodes of files deduped is changed to the current time. This generally affects synchronization tools such as rsync. But what is more, the modified time of the inode should not be affected by a dedupe operation, because the content of the inode did not change.

This commit has been in the upstream kernel since v4.9.0. It would be very nice to have it backported into the CentOS kernel.
Steps To ReproduceUse a dedupe software such as `duperemove` (https://github.com/markfasheh/duperemove).

This specific issue is reported in the upstream kernel commit as well as duperemove issue #165 (https://github.com/markfasheh/duperemove/issue/180).
TagsNo tags attached.
abrt_hash
URLhttps://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=1c919a5e13702caffbe2d2c7c305f9d0d2925160
Attached Files

-Relationships
+Relationships

-Notes

~0030376

toracat (manager)

Unless I'm mistaken, commit 1c919a5e13702caffbe2d2c7c305f9d0d2925160 has been in upstream (kernel.org) kernel since v. 4.1. and has already been backported to the CentOS7 kernel. Are you running the latest kernel?

~0030386

greezybacon (reporter)

@toracat, thanks for the update and notes. I tried `duperemove` again today with CentOS 7 kernel 3.10.0-693.2.2, and it works correctly. So the patch must have made it into the kernel between when I started testing and 3.10.0-693.2.2.

Cheers and thanks again.
+Notes

-Issue History
Date Modified Username Field Change
2017-10-12 18:49 greezybacon New Issue
2017-10-15 20:55 toracat Note Added: 0030376
2017-10-15 20:56 toracat Status new => feedback
2017-10-17 14:30 greezybacon Note Added: 0030386
2017-10-17 14:30 greezybacon Status feedback => assigned
2017-10-17 14:36 toracat Status assigned => resolved
2017-10-17 14:36 toracat Resolution open => fixed
+Issue History